Bug 1802 - mingw support (pure win32 xserver)
Summary: mingw support (pure win32 xserver)
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/DDX/Xwin (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Alexander Gottwald
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 1804 1864 1865 1866 1914
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-09 05:34 UTC by Alexander Gottwald
Modified: 2005-07-04 14:29 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Patches for xwin ddx (14.42 KB, patch)
2004-11-09 06:23 UTC, Alexander Gottwald
no flags Details | Splinter Review
Patches for xwin ddx (14.46 KB, patch)
2004-11-09 06:39 UTC, Alexander Gottwald
no flags Details | Splinter Review
Patches to xserver DIX (5.42 KB, patch)
2004-11-09 07:38 UTC, Alexander Gottwald
no flags Details | Splinter Review
patches to config, extras, libs and includes (44.18 KB, patch)
2004-11-09 07:39 UTC, Alexander Gottwald
no flags Details | Splinter Review
patches to lib/font/fontfile (4.35 KB, patch)
2004-11-10 03:30 UTC, Alexander Gottwald
no flags Details | Splinter Review
Patches to xserver DIX (5.75 KB, patch)
2004-11-10 03:36 UTC, Alexander Gottwald
no flags Details | Splinter Review
patches to config, libs and includes (52.70 KB, patch)
2004-11-10 09:38 UTC, Alexander Gottwald
no flags Details | Splinter Review
Patches to xserver DIX (8.45 KB, patch)
2004-11-10 09:40 UTC, Alexander Gottwald
no flags Details | Splinter Review
Patches for xwin ddx (24.94 KB, patch)
2004-11-10 09:42 UTC, Alexander Gottwald
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Gottwald 2004-11-09 05:34:29 UTC
Patches for building the xwin ddx with mingw compiler. 

This will produce a pure win32 xserver
Comment 1 Alexander Gottwald 2004-11-09 06:23:12 UTC
Created attachment 1251 [details] [review]
Patches for xwin ddx

- wrappers for cygwin / win32 specific code
- wrappers for multiwindow and clipboard code
Comment 2 Alexander Gottwald 2004-11-09 06:39:11 UTC
Created attachment 1252 [details] [review]
Patches for xwin ddx

fixed #ifdef CYGWIN to #ifdef __CYGWIN__
replaced checks for WIN32 with opposed checks for __CYGWIN__
Comment 3 Alexander Gottwald 2004-11-09 07:38:49 UTC
Created attachment 1253 [details] [review]
Patches to xserver DIX
Comment 4 Alexander Gottwald 2004-11-09 07:39:55 UTC
Created attachment 1254 [details] [review]
patches to config, extras, libs and includes
Comment 5 Alexander Gottwald 2004-11-10 03:30:48 UTC
Created attachment 1271 [details] [review]
patches to lib/font/fontfile

The patch enables parsing of driveletters and uses stat(filename) instead of
fstat(fileno(file)) because fstat was always fialing for unknown reasons
Comment 6 Alexander Gottwald 2004-11-10 03:36:23 UTC
Created attachment 1272 [details] [review]
Patches to xserver DIX

Added winsock initialisation before gethostbyname call in xdmcp.o
Comment 7 Alexander Gottwald 2004-11-10 09:38:41 UTC
Created attachment 1273 [details] [review]
patches to config, libs and includes

Added handling of WSAGetLastError in lib/xtrans
Comment 8 Alexander Gottwald 2004-11-10 09:40:39 UTC
Created attachment 1274 [details] [review]
Patches to xserver DIX

Fixed socket error handling in recv, send and select
Comment 9 Alexander Gottwald 2004-11-10 09:42:27 UTC
Created attachment 1275 [details] [review]
Patches for xwin ddx

rgb file and fontpath are relocated on startup. 
PROJECTROOT/lib/X11 is replaced with directory component of xserver
Comment 10 Alexander Gottwald 2004-11-15 07:34:50 UTC
I've commited most of the patches from
http://www.freedesktop.org/~ago/Xming/xming-20041115.diff

pending patches are: 

#1865: change to snprintf
#1866: change to MESA GL/gl.h
Comment 11 Alexander Gottwald 2005-07-05 07:29:53 UTC
The windows xserver is stable now and in HEAD but I have no intent to port it
back to 6.8.x

closing bug.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.